Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gjt.sp.jedit.pluginmgr
Enum ManagePanel.KeyboardCommand

    java.lang.Object
      java.lang.Enum<ManagePanel.KeyboardCommand>
          org.gjt.sp.jedit.pluginmgr.ManagePanel.KeyboardCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagePanel.KeyboardCommand>

Enclosing class:
  ManagePanel

    public static enum ManagePanel.KeyboardCommand

extends java.lang.Enum<ManagePanel.KeyboardCommand>

Enum Constant Summary
`CLOSE_PLUGIN_MANAGER`
`EDIT_PLUGIN`
`NONE`
`TAB_OUT_BACK`
`TAB_OUT_FORWARD`

Method Summary
`static ManagePanel.KeyboardCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagePanel.KeyboardCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ManagePanel.KeyboardCommand NONE

### TAB_OUT_FORWARD

    public static final ManagePanel.KeyboardCommand TAB_OUT_FORWARD

### TAB_OUT_BACK

    public static final ManagePanel.KeyboardCommand TAB_OUT_BACK

### EDIT_PLUGIN

    public static final ManagePanel.KeyboardCommand EDIT_PLUGIN

### CLOSE_PLUGIN_MANAGER

    public static final ManagePanel.KeyboardCommand CLOSE_PLUGIN_MANAGER

Method Detail

### values

    public static final ManagePanel.KeyboardCommand[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ManagePanel.KeyboardCommand c : ManagePanel.KeyboardCommand.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ManagePanel.KeyboardCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD